Exec { timeout => 300 }

$keystone_use_ssl = false

class {"keystone":
    admin_token => "ab2eee8855924e4895ea9880f46eb30f",
    sql_connection => "mysql://keystone_admin:10bbaed063444f47@10.35.182.181/keystone",
    token_format => "UUID",
    verbose => true,
    debug => false,
    mysql_module => '2.2',
    service_name => 'keystone',
    enable_ssl => $keystone_use_ssl,
}

if 'keystone' == 'httpd' {
  include packstack::apache_common
  class {"keystone::wsgi::apache":
    ssl => $keystone_use_ssl,
  }
}

class {"keystone::roles::admin":
    email => "root@localhost",
    password => "redhat",
    admin_tenant => "admin"
}

class {"keystone::endpoint":
    region => "RegionOne",
    public_address  => "10.35.182.181",
    admin_address  => "10.35.182.181",
    internal_address  => "10.35.182.181",
}

# Run token flush every minute (without output so we won't spam admins)
cron { 'token-flush':
    ensure => 'present',
    command => '/usr/bin/keystone-manage token_flush >/dev/null 2>&1',
    minute => '*/1',
    user => 'keystone',
    require => [User['keystone'], Group['keystone']],
} -> service { 'crond':
    ensure => 'running',
    enable => true,
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'keystone':
  host => 'ALL',
  service_name => 'keystone',
  chain => 'INPUT',
  ports => ['5000', '35357'],
  proto => 'tcp',
}


class {"glance::keystone::auth":
    region => "RegionOne",
    password => "71bfc19b28ad4fdd",
    public_address => "10.35.182.181",
    admin_address => "10.35.182.181",
    internal_address => "10.35.182.181",
}


class {"cinder::keystone::auth":
    region           => "RegionOne",
    password         => "f6490c1a95f14df0",
    public_address   => "10.35.182.181",
    admin_address    => "10.35.182.181",
    internal_address => "10.35.182.181",
}



class {"nova::keystone::auth":
    region => "RegionOne",
    password    => "22602b245d534faa",
    public_address => "10.35.182.181",
    admin_address => "10.35.182.181",
    internal_address => "10.35.182.181",
    cinder => true,
}


class {"neutron::keystone::auth":
    region => "RegionOne",
    password    => "bdd53a107f6e46aa",
    public_address => "10.35.182.181",
    admin_address => "10.35.182.181",
    internal_address => "10.35.182.181",
}

class { 'swift::keystone::auth':
  public_address  => '10.35.182.181',
  region => 'RegionOne',
  password => '273e5c35e3b545fa',
}
